﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Data;
using System.Drawing;

using Infragistics.UltraChart.Resources.Appearance;

public partial class _Default : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        this.UltraChart1.ChartDataClicked += UltraChart1_ChartDataClicked;
    }

    void UltraChart1_ChartDataClicked(object sender, Infragistics.UltraChart.Shared.Events.ChartDataEventArgs e)
    {
        
    }

    void Page_Init(object sender, EventArgs e)
    {
        DataTable dt = new DataTable();
        dt.Columns.Add("col1", typeof(int));
        dt.Rows.Add(10);
        dt.Rows.Add(20);
        dt.Rows.Add(30);
        dt.Rows.Add(5);
        dt.Rows.Add(15);

        UltraChart1.Data.DataSource = dt;
        UltraChart1.Data.DataBind();
        UltraChart1.PieChart.ColumnIndex = 0;

        // Assign colors to PieChart slices explicitly
        this.UltraChart1.ColorModel.ModelStyle = Infragistics.UltraChart.Shared.Styles.ColorModels.CustomSkin;
        this.UltraChart1.ColorModel.Skin.PEs.Add(new PaintElement(Color.Red));
        this.UltraChart1.ColorModel.Skin.PEs.Add(new PaintElement(Color.Green));
        this.UltraChart1.ColorModel.Skin.PEs.Add(new PaintElement(Color.Blue));
        this.UltraChart1.ColorModel.Skin.PEs.Add(new PaintElement(Color.Yellow));
        this.UltraChart1.ColorModel.Skin.PEs.Add(new PaintElement(Color.Orange));
    }

    
}